Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia
Class MorphiaPlugin.MorphiaModelLoader

    java.lang.Object
      play.modules.morphia.MorphiaPlugin.MorphiaModelLoader

Enclosing class:
  MorphiaPlugin

    public static class MorphiaPlugin.MorphiaModelLoader

extends java.lang.Object

Method Summary
`java.lang.Long` | `count(java.util.List<java.lang.String> searchFields, java.lang.String keywords, java.lang.String where)`
`void` | `deleteAll()`
`java.util.List<play.db.Model>` | `fetch(int offset, int size, java.lang.String orderBy, java.lang.String order, java.util.List<java.lang.String> searchFields, java.lang.String keywords, java.lang.String where)`
`Model` | `findById(java.lang.Object id)`
`static play.modules.morphia.Model.Factory` | `getFactory(java.lang.Class<? extends Model> clazz)`
`java.lang.String` | `keyName()`
`java.lang.Class<?>` | `keyType()`
`java.lang.Object` | `keyValue(play.db.Model m)`
`java.util.List<play.modules.morphia.Model.Property>` | `listProperties()`
`static void` | `processWhere( q, java.lang.String where)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFactory

    public static play.modules.morphia.Model.Factory getFactory(java.lang.Class<? extends Model> clazz)

### findById

    public Model findById(java.lang.Object id)

### fetch

    public java.util.List<play.db.Model> fetch(int offset,
                                               int size,
                                               java.lang.String orderBy,
                                               java.lang.String order,
                                               java.util.List<java.lang.String> searchFields,
                                               java.lang.String keywords,
                                               java.lang.String where)

### count

    public java.lang.Long count(java.util.List<java.lang.String> searchFields,
                                java.lang.String keywords,
                                java.lang.String where)

### processWhere

    public static void processWhere( q,
                                    java.lang.String where)

### deleteAll

    public void deleteAll()

### listProperties

    public java.util.List<play.modules.morphia.Model.Property> listProperties()

### keyName

    public java.lang.String keyName()

### keyType

    public java.lang.Class<?> keyType()

### keyValue

    public java.lang.Object keyValue(play.db.Model m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD